javax.servlet

## Class MultipartConfigElement

- java.lang.Object
- - javax.servlet.MultipartConfigElement

    public class MultipartConfigElement
    extends java.lang.Object

Since:
  Servlet 3.0 TODO SERVLET3 - Add comments

### Constructor Summary

Constructors
Constructor and Description
`MultipartConfigElement(MultipartConfig annotation)`
`MultipartConfigElement(java.lang.String location)`
`MultipartConfigElement(java.lang.String location, long maxFileSize, long maxRequestSize, int fileSizeThreshold)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFileSizeThreshold()`
`java.lang.String` `getLocation()`
`long` `getMaxFileSize()`
`long` `getMaxRequestSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipartConfigElement

    public MultipartConfigElement(java.lang.String location)

#### MultipartConfigElement

    public MultipartConfigElement(java.lang.String location,
                                  long maxFileSize,
                                  long maxRequestSize,
                                  int fileSizeThreshold)

#### MultipartConfigElement

    public MultipartConfigElement(MultipartConfig annotation)

### Method Detail

#### getLocation

    public java.lang.String getLocation()

#### getMaxFileSize

    public long getMaxFileSize()

#### getMaxRequestSize

    public long getMaxRequestSize()

#### getFileSizeThreshold

    public int getFileSizeThreshold()